When I run ionic build, it adds plugins to my package.json


#1

Prior to running ionic build, my package.json has this for the plugins:

"cordovaPlugins": [
    "cordova-plugin-datepicker@~0.9.3",
    "cordova-plugin-whitelist@~1.2.1",
    "cordova-plugin-photokandy-video-thumbnail@~1.0.1",
    "cordova-plugin-screen-orientation@~1.4.0",
    "cordova-plugin-device@~1.1.1",
    "cordova-plugin-app-version@~0.1.8",
    "cordova-plugin-file-opener2@~2.0.2",
    "cordova-plugin-geolocation@~2.1.0",
    "cordova-plugin-dialogs@~1.2.0",
    "cordova-plugin-splashscreen@~2.1.0",
    "cordova-plugin-inappbrowser@~1.2.0",
    "cordova-plugin-camera@~2.1.0",
    "cordova-plugin-file-transfer@~1.5.0",
    "phonegap-plugin-barcodescanner@~4.1.0",
    "ionic-plugin-keyboard@~1.0.8",
    "cordova-plugin-globalization@~1.0.2",
    "cordova-plugin-media-capture@~1.2.0",
    "cordova-plugin-crosswalk-webview@1.5.0",
    "cordova-plugin-file@4.1.1",
    "cordova-sms-plugin@0.1.8",
    "git+ssh://git@github.com/joltup/ionic-plugins-deploy.git#v0.4.3",
    "https://github.com/CSullivan102/cordova-imageResizer.git#1a274777127b0aaef2ee7a11d0a996f3930729f6",
    "https://github.com/katzer/cordova-plugin-printer.git#0.7.1",
    "https://github.com/phonegap-build/PushPlugin.git#2.5.0",
    "https://github.com/wymsee/cordova-imagePicker.git#v1.1.0",
    "cordova-plugin-crosswalk-webview@~1.5.0"
]

After running ionic build, it adds three plugins. Why? And how do i stop it?

"cordovaPlugins": [
    "cordova-plugin-datepicker@~0.9.3",
    "cordova-plugin-whitelist@~1.2.1",
    "cordova-plugin-photokandy-video-thumbnail@~1.0.1",
    "cordova-plugin-screen-orientation@~1.4.0",
    "cordova-plugin-device@~1.1.1",
    "cordova-plugin-app-version@~0.1.8",
    "cordova-plugin-file-opener2@~2.0.2",
    "cordova-plugin-geolocation@~2.1.0",
    "cordova-plugin-dialogs@~1.2.0",
    "cordova-plugin-splashscreen@~2.1.0",
    "cordova-plugin-inappbrowser@~1.2.0",
    "cordova-plugin-camera@~2.1.0",
    "cordova-plugin-file-transfer@~1.5.0",
    "phonegap-plugin-barcodescanner@~4.1.0",
    "ionic-plugin-keyboard@~1.0.8",
    "cordova-plugin-globalization@~1.0.2",
    "cordova-plugin-media-capture@~1.2.0",
    "cordova-plugin-crosswalk-webview@1.5.0",
    "cordova-plugin-file@4.1.1",
    "cordova-sms-plugin@0.1.8",
    "git+ssh://git@github.com/joltup/ionic-plugins-deploy.git#v0.4.3",
    "https://github.com/CSullivan102/cordova-imageResizer.git#1a274777127b0aaef2ee7a11d0a996f3930729f6",
    "https://github.com/katzer/cordova-plugin-printer.git#0.7.1",
    "https://github.com/phonegap-build/PushPlugin.git#2.5.0",
    "https://github.com/wymsee/cordova-imagePicker.git#v1.1.0",
    "cordova-plugin-crosswalk-webview@~1.5.0",
    "https://github.com/CSullivan102/cordova-imageResizer.git", <----added
    "https://github.com/pushandplay/cordova-plugin-apprate.git", <----added
    "https://github.com/wymsee/cordova-imagePicker.git" <----added
  ]

#2

For anyone who comes here with a similar problem, we finally figured it out. Apparently, these were also defined in config.xml with different versions than what was in my package.json. I don’t know if there’s a good way with ionic to keep them in sync, but that would be really nice. Right now, I’m just manually making sure they stay in sync.